# Uses of Class
jebl.util.ProgressListener

Packages that use ProgressListener
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.aligners
jebl.evolution.distances
jebl.evolution.io
jebl.evolution.trees
jebl.util

## Uses of ProgressListener in jebl.evolution.align

Methods in jebl.evolution.align with parameters of type ProgressListener
Modifier and Type
Method
Description
`final String[]`
BartonSternberg.`align(List<Sequence> sourceSequences, ProgressListener progress, boolean refineOnly, boolean estimateMatchMismatchCosts)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, MultipleAligner aligner, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener)`
Will use model F84 for nucleotides and Jukes-Cantor for amino acid
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(List<Sequence> seqs, TreeBuilderFactory.Method method, PairwiseAligner aligner, ProgressListener progressListener, TreeBuilderFactory.DistanceModel model)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
`Alignment`
BartonSternberg.`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`Alignment`
BartonSternberg.`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
BartonSternberg.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
`void`
NeedlemanWunschLinearSpaceAffine.`doAlignment(String sq1, String sq2, ProgressListener progress)`
`void`
NeedlemanWunschLinearSpaceAffine.`doAlignment(String sq1, String sq2, ProgressListener progress, boolean scoreOnly)`
`jebl.evolution.align.AlignmentResult[]`
NeedlemanWunschLinearSpaceAffine.`doAlignment(jebl.evolution.align.Profile profile1, jebl.evolution.align.Profile profile2, ProgressListener progress, boolean scoreOnly)`
`PairwiseAligner.Result`
NeedlemanWunschLinearSpaceAffine.`doAlignment(Sequence seq1, Sequence seq2, ProgressListener progress)`
`PairwiseAligner.Result`
PairwiseAligner.`doAlignment(Sequence seq1, Sequence seq2, ProgressListener progress)`
`void`
SmithWaterman.`doAlignment(String sq1, String sq2, ProgressListener progress)`
`void`
SmithWatermanLinearSpaceAffine.`doAlignment(String sq1, String sq2, ProgressListener progress)`
Constructors in jebl.evolution.align with parameters of type ProgressListener
Modifier
Constructor
Description
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress)`
``
`SequenceAlignmentsDistanceMatrix(List<Sequence> seqs, PairwiseAligner aligner, ProgressListener progress, TreeBuilderFactory.DistanceModel model)`

## Uses of ProgressListener in jebl.evolution.aligners

Methods in jebl.evolution.aligners with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
Aligner.`addProgressListener(ProgressListener listener)`
`void`
Aligner.`removeProgressListener(ProgressListener listener)`

## Uses of ProgressListener in jebl.evolution.distances

Constructors in jebl.evolution.distances with parameters of type ProgressListener
Modifier
Constructor
Description
``
`F84DistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`HKYDistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`HKYDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
``
`JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
``
`TamuraNeiDistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`TamuraNeiDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`

## Uses of ProgressListener in jebl.evolution.io

Methods in jebl.evolution.io with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
FastaImporter.`importSequences(ImmediateSequenceImporter.Callback callback, ProgressListener progressListener)`
`void`
ImmediateSequenceImporter.`importSequences(ImmediateSequenceImporter.Callback callback, ProgressListener progressListener)`
`void`
ImportHelper.`readSequence(StringBuilder sequence, SequenceType sequenceType, String delimiters, int maxSites, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence, ProgressListener progress)`
`void`
ImportHelper.`readSequence(StringBuilder sequence, SequenceType sequenceType, String delimiters, int maxSites, String gapCharacters, String missingCharacters, String matchCharacters, String matchSequence, ProgressListener progress, boolean stopAtDoubleNewLine)`
Reads sequence, skipping over any comments and filtering using sequenceType.

## Uses of ProgressListener in jebl.evolution.trees

Methods in jebl.evolution.trees with parameters of type ProgressListener
Modifier and Type
Method
Description
`void`
ClusteringTreeBuilder.`addProgressListener(ProgressListener listener)`
`void`
ConsensusTreeBuilder.`addProgressListener(ProgressListener listener)`
`void`
TreeBuilder.`addProgressListener(ProgressListener listener)`
`void`
ClusteringTreeBuilder.`removeProgressListener(ProgressListener listener)`
`void`
ConsensusTreeBuilder.`removeProgressListener(ProgressListener listener)`
Stops a ProgressListener from receiving progress.
`void`
TreeBuilder.`removeProgressListener(ProgressListener listener)`

## Uses of ProgressListener in jebl.util

Subclasses of ProgressListener in jebl.util
Modifier and Type
Class
Description
`class`
`BasicProgressListener`
A basic `ProgressListener` implementation that allows the caller to set the canceled status.
`final class`
`CompositeProgressListener`
A `ProgressListener` that is suitable for a task that consists of several subtasks.
`static class`
`ProgressListener.Wrapper`
A decorator progress listener which delegates all method calls to an internal progress listener.
Fields in jebl.util declared as ProgressListener
Modifier and Type
Field
Description
`static final ProgressListener`
ProgressListener.`EMPTY`
A ProgressListener that ignores all events and always returns false from `ProgressListener.isCanceled()`.
Methods in jebl.util that return ProgressListener
Modifier and Type
Method
Description
`ProgressListener`
CompositeProgressListener.`getRootProgressListener()`
Methods in jebl.util with parameters of type ProgressListener
Modifier and Type
Method
Description
`static CompositeProgressListener`
CompositeProgressListener.`forFiles(ProgressListener listener, List<File> files)`
Constructors in jebl.util with parameters of type ProgressListener
Modifier
Constructor
Description
``
`CompositeProgressListener(ProgressListener listener, double... operationDuration)`
construct a new composite ProgressListener.
``
`CompositeProgressListener(ProgressListener listener, int numberOfEvenlyWeightedSubTasks)`
Construct a CompositeProgressListener with a number of evenly weighted subtasks.
``
`Wrapper(ProgressListener internalProgressListener)`